<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Resume Parser</title>
    
    <!-- Add Bootstrap CSS link -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">

    <!-- Add custom styles -->
    <style>
        /* Custom styles here */
        .custom-container {
            margin-top: 50px;
        }
        .custom-textarea {
            resize: none;
        }
    </style>
</head>
<body>
    <div class="container custom-container">
        <h1 class="text-center">Resume Parser</h1>
        <div class="row justify-content-center">
            <div class="col-md-6">
                <form>
                    <div class="form-group">
                        <label for="resume-upload">Upload Resume(s)</label>
                        <input type="file" class="form-control-file" id="resume-upload" name="resume" accept=".pdf, .doc, .docx" multiple>
                    </div>
                    <div class="form-group">
                        <label for="uploaded-resumes">Uploaded Resume(s)</label>
                        <textarea class="form-control custom-textarea" id="uploaded-resumes" rows="5" readonly></textarea>
                    </div>
                    <button type="button" class="btn btn-primary btn-block" id="parse-button">Parse Resume</button>
                </form>
            </div>
        </div>
    </div>

    <!-- Add Bootstrap JS and jQuery scripts (required for some Bootstrap components) -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.5.3/dist/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

    <script>
        // JavaScript code here
        const resumeUploadInput = document.getElementById('resume-upload');
        const uploadedResumesTextarea = document.getElementById('uploaded-resumes');
        const parseButton = document.getElementById('parse-button');
        const uploadedFiles = [];

        resumeUploadInput.addEventListener('change', () => {
            uploadedFiles.length = 0;
            const files = resumeUploadInput.files;

            for (let i = 0; i < files.length; i++) {
                uploadedFiles.push(files[i].name);
            }
            uploadedResumesTextarea.value = uploadedFiles.join('\n');
        });

        parseButton.addEventListener('click', () => {
            alert('Parsing resumes...');
        });
    </script>
</body>
</html>
